@font-face {
    font-family: "vazir";
    src: url(../fonts/Vazir.ttf) format(trueType);
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
html {
    scroll-behavior: smooth;
}
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none; 
    background: #1e1e1e;
    color: rgb(220, 220, 220);
    font-family: "vazir", sans-serif;
    transition: all 0.3s ease-in-out;
}
a {
    -webkit-tap-highlight-color: transparent;
    text-decoration: none;
    color: inherit;
}
#home-button {
    transition: all 0.2s ease-in-out;
}
#home-button:hover {
    opacity: 0.6;
}
@keyframes title-blink {
    0% {
        color: #ff0000;
    }
    50% {
        color: #ff0000;
    }
    51% {
        color: #ffffff;
    }
    100% {
        color: #ffffff;
    }
}
#title {
    margin: 0 200px;
    font-size: 20px;
}
.blink-title {
    animation: title-blink 2s infinite;
}
@keyframes blink1 {
    0% {
        color: #ff0000;
    }
    50% {
        color: #ff0000;
    }
    51% {
        color: #0000ff;
    }
    100% {
        color: #0000ff;
    }
}
#title-half1 {
    animation: blink1 2s infinite;
} 
@keyframes blink2 {
    0% {
        color: #0000ff;
    }
    50% {
        color: #0000ff;
    }
    51% {
        color: #ff0000;
    }
    100% {
        color: #ff0000;
    }
}
#title-half2 {
    animation: blink2 2s infinite;
} 
@keyframes red-title-blink {
0% {
    color: red;
}
35% {
    color: red;
}
36% {
    color: white;
}
100% {
    color: white;
}
}
#red-title {
animation: red-title-blink 4s infinite;
}
@keyframes yellow-title-blink {
0% {
    color: white;
}
35% {
    color: white;
}
36% {
    color: rgb(255, 255, 0);
}
70% {
    color: rgb(255, 255, 0);
}
71% {
    color: white;
}
100% {
    color: white;
}
}
#yellow-title {
animation: yellow-title-blink 4s infinite;
}
@keyframes green-title-blink {
0% {
    color: white;
}
70% {
    color: white;
}
71% {
    color: rgb(0, 255, 0);
}
100% {
    color: rgb(0, 255, 0);
}
}
#green-title {
animation: green-title-blink 4s infinite;
}
.ltr {
    direction: ltr;
}
.blue {
    color: rgb(0, 153, 158) !important;
}
.orange {
    color: rgb(200, 90, 0) !important;
}
.yellow {
    color: yellow !important;
}
.green {
    color: rgb(75, 120, 15) !important;
}
.light-green {
    color: rgb(150, 255, 0);
}
.comment {
    color: rgb(160, 160, 160);
}
.red {
    color: tomato !important;
}
.dim {
    opacity: 0.7;
}
#header-logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100px 100px 0 0;
    background: rgb(50, 50, 50);
    border-bottom: 1px solid gray;
    margin: 50px;
    margin-bottom: 0;
    transition: all 0.3s ease-in-out;
}
#description {
    margin: 50px;
}
.header-logo {
    height: 115px;
    margin-right: 15px;
}
.text-logo {
    font-size: 35px;
    font-weight: bold;
    margin-right: 6px;
    color: white;
}
.lightMode {
    background: rgb(220, 220, 220);
    color: #1e1e1e;
}
.headerLightMode {
    background: rgb(175, 175, 175) !important;
}
b {
    white-space: nowrap;
}
button {
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}
#mode-icon {
    height: 60px;
}
#change-mode-button {
    transition: all 0.3s ease-in-out;
    border: none;
    background: rgba(220, 220, 220, 0.3);
    border-radius: 50%;
    padding: 5px;
    margin: 20px;
    min-height: 75px;
    min-width: 75px;
}
#change-mode-button:hover {
    background: rgba(230, 230, 230, 0.5);
}
.mode-button-rotate {
    transform: rotate(180deg);
}
#copyImg {
    transition: all 0.3s ease-in-out;
}
#copyBtn:hover #copyImg {
    opacity: 0.6;
    transform: rotate(10deg);
}
#components {
    background: #7e7e7e7e;
    margin: 50px;
    border-radius: 30px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.components-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 50px;
}
.long-code {
    user-select: text;
    background: #181818;
    color: rgb(220, 220, 220);
    padding: 30px;
    margin: 0 50px 50px;
    font-family: monospace;
    line-height: 1.5;
    border-radius: 50px;
    font-size: 1em;
    white-space: pre;
    direction: ltr;
}
#copyBtn {
    background: transparent;
    border: none;
}
#code-details-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
}



@media (max-width: 1023px) and (min-width: 300px) {
    #title {
        margin: 10px;
        font-size: 0.5em;
    }
    .header-logo {
        height: 40px;
    }
    .sections-container{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .section {
        margin: 20px 20px;
    }
    #header-logo-container {
            margin: 30px 10px;
            border-radius: 50px 50px 0 0;
    }
    #header-logo {
        height: 50px !important;
        margin-right: 15px;
    }
    #header-logo-container img {
        height: 50px;
    }
    .text-logo {
        font-size: 15px;
    }
    #mode-icon {
        height: 30px !important;
    }
    #change-mode-button {
        min-height: 20px;
        min-width: 20px;
    }
    .long-code {
        margin: 0;
        font-size: 0.7em;
        border-radius: 30px;
    }
    p#description {
        font-size: 0.7em;
    }
    h2 {
        font-size: 20px;
    }
    #components img {
        height: 35px;
        margin-top: 50px;
    }
    .components-container {
        display: grid;
        justify-items: center;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(5, auto);
    }
}